Summary:	Little game where you have to build molecules out of single atoms
Summary(pl.UTF-8):	Mała gra, w której trzeba budować cząsteczki z pojedynczych atomów
Name:		atomix
Version:	44.0
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	https://download.gnome.org/sources/atomix/44/%{name}-%{version}.tar.xz
# Source0-md5:	448892592ab039fcff4ce90336f50a06
URL:		https://wiki.gnome.org/Apps/Atomix
BuildRequires:	gdk-pixbuf2-devel >= 2.0.5
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gtk+3-devel >= 3.10.0
BuildRequires:	libgnome-games-support-devel >= 1
BuildRequires:	meson >= 0.41
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Atomix is a little game where you have to build molecules out of
single atoms. These are laying around between the walls and obstacles
on the playfield. Once you have pushed an atom in one direction it
moves until it hits an obstacle or another atom. The game is inspired
by the original Amiga version.

%description -l pl.UTF-8
Atomix jest małą grą, w której trzeba budować cząsteczki z
pojedynczych atomów, leżących dookoła na planszy. Gdy atom zostanie
popchnięty, porusza się w zadanym kierunku aż do momentu uderzenia w
inny atom lub przeszkodę. Inspiracją do powstania tej gry była
oryginalna wersja na Amigę.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README.md
%attr(755,root,root) %{_bindir}/atomix
%{_datadir}/atomix
%{_datadir}/metainfo/atomix.appdata.xml
%{_desktopdir}/atomix.desktop
%{_iconsdir}/hicolor/*x*/apps/atomix.png
%{_iconsdir}/hicolor/symbolic/apps/atomix-symbolic.svg
%changelog
* Mon Jul 24 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/atomix.git;a=log;h=master

* Mon Jul 24 2023 Jakub Bogusz <qboosh@pld-linux.org> f9f6c5f
- updated to 44.0

* Thu Oct 31 2019 Jakub Bogusz <qboosh@pld-linux.org> 4edad75
- updated to 3.34.0

* Sat May 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 4c3f030
- updated to 3.22.0

* Fri Nov 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 841ff25
- new maintainer and URLs, updated to 3.18.0
- removed obsolete desktop patch

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 043204f
- updated gettext BR

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e837eb9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 58b469c
- converted to UTF-8

* Mon Jun 06 2005 zbyniu <zbyniu@pld-linux.org> 42f84c1
- BR: gettext-devel, pkgconfig

* Sat Dec 25 2004 Jakub Bogusz <qboosh@pld-linux.org> 1ca6dbb
- unified

* Wed Nov 10 2004 ankry <ankry@pld-linux.org> aa9c1f7
- no -> nb, rel. 3

* Wed Nov 10 2004 ankry <ankry@pld-linux.org> e2c2341
- no -> nb (NOTE: also in .po)

* Fri Oct 01 2004 paladine <paladine@pld-linux.org> d24fa83
- rel 2 for fixed desktop patch

* Fri Oct 01 2004 paladine <paladine@pld-linux.org> f304baa
- Categories fix

* Tue Jan 27 2004 deejay1 <deejay1@pld-linux.org> e9d34ad
- up to 1.0.1

* Fri Dec 12 2003 grzegol <grzegol@pld-linux.org> 42047af
- adapt .desktop file to standard

* Fri Dec 12 2003 grzegol <grzegol@pld-linux.org> bfb5d45
- added desktop patch (adopt .desktop file to standard)

* Mon Dec 08 2003 grzegol <grzegol@pld-linux.org> 852fcb7
- new

